/****************************************************************************
**
** Window Manager Header File
**
** Meridian Systems, Inc.
**
** Copyright 1994
** All rights reserved
**
*****************************************************************************/

#ifndef _MSIWND_CH
#define _MSIWND_CH

#include "pw.ch"

#xcommand   CREATE WINDOW <oWnd> ;
                    [ <clauses, ...> ] ;
                    ASSIGN TO WNDMGR [ <lPermanent: NOCLOSE> ] ;
                    [ <moreclauses, ...> ] ;
             => ;
             CREATE WINDOW <oWnd> ;
                    [ <clauses> ] ;
                    [ <moreclauses> ] ;
                    WINDOW HANDLER {|idMsg,x1,x2,x3,x4,x5| WndMgr():handleWndMsg(<oWnd>,idMsg,x1,x2,x3,x4,x5) } ;;
                    WndMgr():add(<oWnd>,<.lPermanent.>)


#xcommand   CREATE WINDOW <oWnd> ;
                    [ <clauses, ...> ] ;
                    WINDOW HANDLER <bHandler>  ;
                    [ <moreclauses, ...> ] ;
                    ASSIGN TO WNDMGR [ <lPermanent: NOCLOSE> ] ;
                    [ <stillmoreclauses, ...> ] ;
             => ;
             CREATE WINDOW <oWnd> ;
                    [ <clauses> ] ;
                    [ <moreclauses> ] ;
                    [ <stillmoreclauses> ] ;
                    WINDOW HANDLER {|idMsg,x1,x2,x3,x4,x5| WndMgr():handleWndMsg(<oWnd>,idMsg,x1,x2,x3,x4,x5,<bHandler>) } ;;
                    WndMgr():add(<oWnd>,<.lPermanent.>)

#xcommand   CREATE TBROWSE WINDOW <oWnd> ;
                    [ <clauses, ...> ] ;
                    ASSIGN TO WNDMGR [ <lPermanent: NOCLOSE> ] ;
                    [ <moreclauses, ...> ] ;
             => ;
             CREATE TBROWSE WINDOW <oWnd> ;
                    [ <clauses> ] ;
                    [ <moreclauses> ] ;
                    WINDOW HANDLER {|idMsg,x1,x2,x3,x4,x5| WndMgr():handleWndMsg(<oWnd>,idMsg,x1,x2,x3,x4,x5) } ;;
                    WndMgr():add(<oWnd>,<.lPermanent.>)


#xcommand   CREATE TBROWSE WINDOW <oWnd> ;
                    [ <clauses, ...> ] ;
                    WINDOW HANDLER <bHandler>  ;
                    [ <moreclauses, ...> ] ;
                    ASSIGN TO WNDMGR [ <lPermanent: NOCLOSE> ] ;
                    [ <stillmoreclauses, ...> ] ;
             => ;
             CREATE TBROWSE WINDOW <oWnd> ;
                    [ <clauses> ] ;
                    [ <moreclauses> ] ;
                    [ <stillmoreclauses> ] ;
                    WINDOW HANDLER {|idMsg,x1,x2,x3,x4,x5| WndMgr():handleWndMsg(<oWnd>,idMsg,x1,x2,x3,x4,x5,<bHandler>) } ;;
                    WndMgr():add(<oWnd>,<.lPermanent.>)

#xcommand   CREATE NOTEPAD WINDOW <oWnd> ;
                    [ <clauses, ...> ] ;
                    ASSIGN TO WNDMGR [ <lPermanent: NOCLOSE> ] ;
                    [ <moreclauses, ...> ] ;
             => ;
             CREATE NOTEPAD WINDOW <oWnd> ;
                    [ <clauses> ] ;
                    [ <moreclauses> ] ;
                    WINDOW HANDLER {|idMsg,x1,x2,x3,x4,x5| WndMgr():handleWndMsg(<oWnd>,idMsg,x1,x2,x3,x4,x5) } ;;
                    WndMgr():add(<oWnd>,<.lPermanent.>)


#xcommand   CREATE NOTEPAD WINDOW <oWnd> ;
                    [ <clauses, ...> ] ;
                    WINDOW HANDLER <bHandler>  ;
                    [ <moreclauses, ...> ] ;
                    ASSIGN TO WNDMGR [ <lPermanent: NOCLOSE> ] ;
                    [ <stillmoreclauses, ...> ] ;
             => ;
             CREATE NOTEPAD WINDOW <oWnd> ;
                    [ <clauses> ] ;
                    [ <moreclauses> ] ;
                    [ <stillmoreclauses> ] ;
                    WINDOW HANDLER {|idMsg,x1,x2,x3,x4,x5| WndMgr():handleWndMsg(<oWnd>,idMsg,x1,x2,x3,x4,x5,<bHandler>) } ;;
                    WndMgr():add(<oWnd>,<.lPermanent.>)

#endif

